<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8"/>
  <xsl:template match="/">
    <html>
      <body>
        <table border="1" style="background-color: White; width:99%;  border-width: 1px; border-style: inset;border-collapse: collapse;">

          <TR>
            <TD colspan="3" style="width:100%;">
              <B>System &amp; Application Info</B>
            </TD>
          </TR>


          <TR>
            <TD style="width:15%;">
              <B>ID </B>
            </TD>
            <TD style="width:35%;">
              <B>Name </B>
            </TD>
            <TD style="width:50%;">
              <B>Value </B>
            </TD>
          </TR>


          <xsl:for-each select="/diagnostics_data/system/system_item">
            <TR>
              <TD style="width:15%;">
                <xsl:value-of select="uid" />
              </TD>
              <TD style="width:35%;">
                <xsl:value-of select="name" />
              </TD>
              <TD style="width:50%;">
                <xsl:value-of select="value" />
              </TD>
            </TR>
          </xsl:for-each>




          <!--
          <TR>
            <TD colspan="3" style="width:100%;">
              <B>Ethernet Adapter Info</B>
            </TD>
          </TR>

          <TR>
            <TD style="width:15%;">
              <B>ID</B>
            </TD>
            <TD style="width:35%;">
              <B>Name</B>
            </TD>
            <TD style="width:50%;">
              <B>Value</B>
            </TD>
          </TR>
          <xsl:for-each select="/diagnostics_data/connection/network_status/bearers/bearer">
            <xsl:if test="@type='ENET'">
              <TR>
                <TD style="width:15%;">
                  ENET-1000
                </TD>
                <TD style="width:35%;">
                  Signal Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="signal_status/@value" />
                </TD>
              </TR>
          
              <TR>
                <TD style="width:15%;">
                  ENET-1010
                </TD>
                <TD style="width:35%;">
                  Connection Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  ENET-1020
                </TD>
                <TD style="width:35%;">
                  Connection Details
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status_details/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  ENET-1030
                </TD>
                <TD style="width:35%;">
                  Adapter State
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_state/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  ENET-1040
                </TD>
                <TD style="width:35%;">
                  Adapter Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/device_name/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  ENET-1050
                </TD>
                <TD style="width:35%;">
                  MAC Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/mac_address/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  ENET-1060
                </TD>
                <TD style="width:35%;">
                  IP Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/ip_address/@value" />
                </TD>
              </TR>
            </xsl:if>
          </xsl:for-each>
          
          
          -->
          

          
          
                <xsl:for-each select="/diagnostics_data/connection/network_status/bearers/bearer">
                 <xsl:if test="@type='WLAN'">
           <TR>
                <TD colspan="3" style="width:100%;">
                  <B>WLAN Adapter Info</B>
                </TD>
           </TR>
    
            <TR>
              <TD style="width:15%;">
                <B>ID</B>
              </TD>
              <TD style="width:35%;">
                <B>Name</B>
              </TD>
              <TD style="width:50%;">
                <B>Value</B>
              </TD>
            </TR>
                    <TR>
                      <TD style="width:15%;">
                        WLAN-1000
                      </TD>
                      <TD style="width:35%;">
                        Signal Status
                      </TD>
                      <TD style="width:50%;">
                        <xsl:value-of select="signal_status/@value" />
                      </TD>
                    </TR>
                   
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1010
                     </TD>
                     <TD style="width:35%;">
                       Connection Status
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="connection_status/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1020
                     </TD>
                     <TD style="width:35%;">
                       Connection Details
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="connection_status_details/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1030
                     </TD>
                     <TD style="width:35%;">
                       Adapter State
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="adapter_state/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1040
                     </TD>
                     <TD style="width:35%;">
                       Adapter Name
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="adapter_props/device_name/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1050
                     </TD>
                     <TD style="width:35%;">
                       Adapter Mac Address
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="adapter_props/mac_address/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1060
                     </TD>
                     <TD style="width:35%;">
                       IP Address
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="adapter_props/ip_address/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1070
                     </TD>
                     <TD style="width:35%;">
                       Connected SSID
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="wlan_adapter_connected_ap_name/@value" />
                     </TD>
                   </TR>
                   <TR>
                     <TD style="width:15%;">
                       WLAN-1080
                     </TD>
                     <TD style="width:35%;">
                       Time Connected
                     </TD>
                     <TD style="width:50%;">
                       <xsl:value-of select="connection_stats/seconds/@value" />
                     </TD>
                   </TR>
              </xsl:if>
            </xsl:for-each>
          <xsl:for-each select="/diagnostics_data/connection/network_status/bearers/bearer">
            <xsl:if test="@type='WIMX'">
          <TR>
            <TD colspan="3" style="width:100%;">
              <B>4G Adapter Info</B>
            </TD>
          </TR>


          <TR>
            <TD style="width:15%;">
              <B>ID </B>
            </TD>
            <TD style="width:35%;">
              <B>Name </B>
            </TD>
            <TD style="width:50%;">
              <B>Value </B>
            </TD>
          </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1010
                </TD>
                <TD style="width:35%;">
                  Signal Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="signal_status/@value" />
                </TD>
              </TR>

              <TR>
                <TD style="width:15%;">
                  WX-1020
                </TD>
                <TD style="width:35%;">
                  Connection Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1030
                </TD>
                <TD style="width:35%;">
                  Connection Details
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status_details/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1040
                </TD>
                <TD style="width:35%;">
                  Data Received
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/bytes_in/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1050
                </TD>
                <TD style="width:35%;">
                  Data Transferred
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/bytes_out/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1040
                </TD>
                <TD style="width:35%;">
                  Packets Received
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/packets_in/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1050
                </TD>
                <TD style="width:35%;">
                  Packets Transferred
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/packets_out/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1060
                </TD>
                <TD style="width:35%;">
                  Time Connected
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/seconds/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WX-1070
                </TD>
                <TD style="width:35%;">
                  IP Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/ip_address/@value" />
                </TD>
              </TR>
                  
              <TR>
                <TD style="width:15%;">
                  WX-1100
                </TD>
                <TD style="width:35%;">
                  Adapter Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_adapter/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1110
                </TD>
                <TD style="width:35%;">
                  Manufacturer
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_manufacturer/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1120
                </TD>
                <TD style="width:35%;">
                  Model
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_model/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1130
                </TD>
                <TD style="width:35%;">
                  MAC Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_macaddress/@value" />
                </TD>
              </TR>          
              
              <TR>
                <TD style="width:15%;">
                  WX-1140
                </TD>
                <TD style="width:35%;">
                  Network Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_networkname/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1150
                </TD>
                <TD style="width:35%;">
                  Roaming Type
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_roamingtype/@value" />
                </TD>
              </TR> 
              <TR>
                <TD style="width:15%;">
                  WX-1160
                </TD>
                <TD style="width:35%;">
                  RSSI
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_rssi/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1170
                </TD>
                <TD style="width:35%;">
                  CINR
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_cinr/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1180
                </TD>
                <TD style="width:35%;">
                  Center Frequency
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_centerfrequency/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1190
                </TD>
                <TD style="width:35%;">
                  Power
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_power/@value" />
                </TD>
              </TR>          
              <TR>
                <TD style="width:15%;">
                  WX-1200
                </TD>
                <TD style="width:35%;">
                  BSID
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wimax_bsid/@value" />
                </TD>
              </TR>                        
            </xsl:if>
          </xsl:for-each>
          <xsl:for-each select="/diagnostics_data/connection/network_status/bearers/bearer">
            <xsl:if test="@type='WWAN'">
          <TR>
            <TD colspan="3" style="width:100%;">
              <B>3G Adapter Info</B>
            </TD>
          </TR>


          <TR>
            <TD style="width:15%;">
              <B>ID </B>
            </TD>
            <TD style="width:35%;">
              <B>Name </B>
            </TD>
            <TD style="width:50%;">
              <B>Value </B>
            </TD>
          </TR>

              <TR>
                <TD style="width:15%;">
                  WW-1010
                </TD>
                <TD style="width:35%;">
                  Signal Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="signal_status/@value" />
                </TD>
              </TR>

              <TR>
                <TD style="width:15%;">
                  WW-1020
                </TD>
                <TD style="width:35%;">
                  Connection Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1025
                </TD>
                <TD style="width:35%;">
                  Connection Details
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status_details/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1040
                </TD>
                <TD style="width:35%;">
                  Data Received
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/bytes_in/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1050
                </TD>
                <TD style="width:35%;">
                  Data Transferred
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/bytes_out/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1060
                </TD>
                <TD style="width:35%;">
                  Time Connected
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/seconds/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1200
                </TD>
                <TD style="width:35%;">
                  Network Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="signal_list/signal/friendly_name/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1205
                </TD>
                <TD style="width:35%;">
                  Work Mode
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_workmode/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1025
                </TD>
                <TD style="width:35%;">
                  Roaming
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_roaming/@value" />
                </TD>
              </TR>              
              <TR>
                <TD style="width:15%;">
                  WW-1030
                </TD>
                <TD style="width:35%;">
                  MIP Error
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_mip_error/@value" />
                </TD>
              </TR>              

              <TR>
                <TD style="width:15%;">
                  WW-1070
                </TD>
                <TD style="width:35%;">
                  Profile Type
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="wwan_profiletype/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1080
                </TD>
                <TD style="width:35%;">
                  Profile Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="wwan_profilename/@value" />
                </TD>
              </TR>
				<xsl:if test="adapter_props/wwan_type/@value != 'CDMA'">
              <TR>
                <TD style="width:15%;">
                  WW-1090
                </TD>
                <TD style="width:35%;">
                  APN
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="wwan_apn/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1100
                </TD>
                <TD style="width:35%;">
                  Username
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="wwan_username/@value" />
                </TD>
              </TR>
				</xsl:if>
              <TR>
                <TD style="width:15%;">
                  WW-1110
                </TD>
                <TD style="width:35%;">
                  Adapter State
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_state/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1120
                </TD>
                <TD style="width:35%;">
                  Adapter Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/device_name/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1130
                </TD>
                <TD style="width:35%;">
                  Adapter Type
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_type/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1140
                </TD>
                <TD style="width:35%;">
                  Adapter Manufacturer
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_manufacturer/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1150
                </TD>
                <TD style="width:35%;">
                  Adapter Model
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_model/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1160
                </TD>
                <TD style="width:35%;">
                  Adapter Revision
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_revision/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1170
                </TD>
                <TD style="width:35%;">
                  Adapter IMEI
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_imei/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1180
                </TD>
                <TD style="width:35%;">
                  Adapter IMSI
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_imsi/@value" />
                </TD>
              </TR>
				<xsl:if test="adapter_props/wwan_type/@value != 'CDMA'">
              <TR>
                <TD style="width:15%;">
                  WW-1190
                </TD>
                <TD style="width:35%;">
                  Adapter ICCID
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_iccid/@value" />
                </TD>
              </TR>
				</xsl:if>
              <TR>
                <TD style="width:15%;">
                  WW-1200
                </TD>
                <TD style="width:35%;">
                  Adapter MDN
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_mdn/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1210
                </TD>
                <TD style="width:35%;">
                  Adapter MEID
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_meid/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1220
                </TD>
                <TD style="width:35%;">
                  Adapter ESN
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_esn/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1230
                </TD>
                <TD style="width:35%;">
                  Firmware Revision
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_firmware_revision/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1235
                </TD>
                <TD style="width:35%;">
                  Hardware Revision
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_hardware_revision/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1240
                </TD>
                <TD style="width:35%;">
                  IP Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_ip/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1250
                </TD>
                <TD style="width:35%;">
                  Gateway Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_gateway_ip/@value" />
                </TD>
              </TR>
				<xsl:if test="adapter_props/wwan_type/@value != 'CDMA'">
              <TR>
                <TD style="width:15%;">
                  WW-1250
                </TD>
                <TD style="width:35%;">
                  UMTS RSSI
                </TD>
                <TD id="f_RSSI" style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_signal_strength/@value" />
                </TD>
              </TR>
				</xsl:if>
				<xsl:if test="adapter_props/wwan_type/@value != 'HSPA'">
              <TR>
                <TD style="width:15%;">
                  WW-1260
                </TD>
                <TD style="width:35%;">
                  PRL Version
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_prl/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1270
                </TD>
                <TD style="width:35%;">
                  ERI Version
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_eri/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1280
                </TD>
                <TD style="width:35%;">
                  NAI
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_nai/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1290
                </TD>
                <TD style="width:35%;">
                  MSID
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_min/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1300
                </TD>
                <TD style="width:35%;">
                  SID
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_sid/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1310
                </TD>
                <TD style="width:35%;">
                  RSSI (1xRTT)
                </TD>
                <TD id="f_RSSI1xRTT" style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_rssirtt/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1320
                </TD>
                <TD style="width:35%;">
                  RSSI (1xEVDO)
                </TD>
                <TD id="f_RSSIEVDO" style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_rssievdo/@value" />
                </TD>
              </TR>
				</xsl:if>
              <TR>
                <TD style="width:15%;">
                  WW-1330
                </TD>
                <TD style="width:35%;">
                  Capabilities
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_bearers/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1340
                </TD>
                <TD style="width:35%;">
                  Modem Port
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_modem_port/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  WW-1350
                </TD>
                <TD style="width:35%;">
                  Diagnostics Port
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/wwan_diag_port/@value" />
                </TD>
              </TR>
            </xsl:if>
          </xsl:for-each>




          <!--

          <TR>
            <TD colspan="3" style="width:100%;">
              <B>Dialup Adapter Info</B>
            </TD>
          </TR>

          <TR>
            <TD style="width:15%;">
              <B>ID</B>
            </TD>
            <TD style="width:35%;">
              <B>Name</B>
            </TD>
            <TD style="width:50%;">
              <B>Value</B>
            </TD>
          </TR>
          <xsl:for-each select="/diagnostics_data/connection/network_status/bearers/bearer">
            <xsl:if test="@type='PSTN'">
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Signal Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="signal_status/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Connection Status
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Connection Details
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_status_details/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Adapter State
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_state/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Adapter Name
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/device_name/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  IP Address
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="adapter_props/ip_address/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Dialup Number
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="signal_list/signal/friendly_name/@value" />
                </TD>
              </TR>
              <TR>
                <TD style="width:15%;">
                  Dial Item
                </TD>
                <TD style="width:35%;">
                  Time Connected
                </TD>
                <TD style="width:50%;">
                  <xsl:value-of select="connection_stats/seconds/@value" />
                </TD>
              </TR>
            </xsl:if>
          </xsl:for-each>
          
          -->




        </table>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>