﻿

//=====================================================================
var gPanelRequire_IncludedFilesCache = new Object();
var gPanelRequire_CSSFilesCache = new Object();

// dynamically "includes" a javascript file
function
RSRequire(inJSFile)
{
	if (!gPanelRequire_IncludedFilesCache[inJSFile])
	{
		var fileref = document.createElement('script')
		//fileref.setAttribute("type","text/javascript")  <== I think this will kill encryption if you add this
		fileref.setAttribute("language", "Jscript.Encode");		// this should load standard content ok
		fileref.setAttribute("src", inJSFile)
		
		document.getElementsByTagName("head")[0].appendChild(fileref)

		gPanelRequire_IncludedFilesCache[inJSFile] = 1;

	}

}

// dynamically "includes" a css file
function
RSLoadCSS(inFile, inID)
{
	if (!gPanelRequire_CSSFilesCache[inFile])
	{
		var fileref=document.createElement("link");
		fileref.setAttribute("rel", "stylesheet");
		fileref.setAttribute("type", "text/css");
		fileref.setAttribute("href", inFile);
		fileref.setAttribute("id", inID);

		
		document.getElementsByTagName("head")[0].appendChild(fileref)

		
		gPanelRequire_CSSFilesCache[inFile] = 1;

	}

}


//=====================================================================
// implements a subclass (more explicitly)
function 
RSSubclass(subClass, baseClass)
{
	function inheritance() {}
	inheritance.prototype = baseClass.prototype;

	subClass.prototype = new inheritance();
	subClass.prototype.constructor = subClass;
	subClass.baseConstructor = baseClass;
	subClass.superClass = baseClass.prototype;

}



//=====================================================================
 /***
 RSPrintf - Takes args in the form <string>, <varstr1>...
  				Variable strings in main string format uses {0}, {1}, etc. for replacement
 
 Example: RSPrintf("This prints a name {0}, {1}", "Doe", "John"); ===> "This prints a name Doe, John"
 **/

function
RSPrintf()
{
  var num = arguments.length;
  var oStr = arguments[0];
  for (var i = 1; i < num; i++) {
    var pattern = "\\{" + (i-1) + "\\}";
    var re = new RegExp(pattern, "g");
    oStr = oStr.replace(re, arguments[i]);
  }
  return oStr;
}
//=====================================================================
// Used to encapsulate extra information in an exception and as a way to implement typed exceptions.
//	Please use these sparingly and in internal files/classes only
function
RSException(inError)
{
	this.m_Error = inError;
	this.description = inError;// for compat. with Error objects
}



//=====================================================================
//PJK 20060907 Use this to ensure setTimeout script does not result in a script after after the script has been unloaded, e.g.
//when setTimeout is called within an IFrame whose script is unloaded before the setTimeout code has executed. All setTimeout
//calls should be replaced with SafeSetTimeout, especially for code running with IFrame or similar transient code.
function
SafeSetTimeout(strTimeoutString, nTimeout)
{
    try
    {
        var temp = "try{" + strTimeoutString + "}catch(e){};";
        return setTimeout(temp, nTimeout);
    }
    catch(e)
    {

    }
}


//=====================================================================
// given a link id, returns the style item corresponding iwth the name
// useful for using style information to set custom properties
function
FindRuleInLinkedStylesheet(inLinkID, inRuleName)
{

	var retVal = null;

	try
	{
		var sheet = document.styleSheets[inLinkID];
		if(sheet)
		{
			var i;
			var len = sheet.rules.length;
			for(i = 0; i < len; i++)
			{
				var curItem = sheet.rules.item(i);
				if(curItem.selectorText == inRuleName)
				{
					retVal = curItem;
					break;
				}
			}
		}
	}
	catch(e)
	{

	}

	return retVal;
}
