<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8"/>
  <xsl:template match="/rss/channel">
	<table cellpadding="0" cellspacing="0" border="0" style="padding:4px; margin: 0; width: 100% ">
	  
		<tr>
			<td>
				<table cellpadding="0" cellspacing="0" border="0" style="padding:10; margin: 0; width: 100% ">
					<tr>
						<td>
							<img src="../../images/chrome/news_panel_header.png" style="height: 80px;" />
						</td>
						
						<td>
							<div class="rss_header_title">
								<xsl:value-of select="title"/>
							</div>
							
							<div class="rss_header_description">
								<xsl:value-of select="description"/>
							</div>
						</td>
						
					</tr>
				</table>
			</td>
		</tr>


	  <!-- spacer -->
	  <tr>
		<td style="">
		  &#160;
		</td>
	  </tr>

	  <xsl:for-each select="item">

		<!-- news items -->
		<tr>
		  <td>
			<table cellpadding="0" cellspacing="0" border="0" style="padding:0; margin: 0; width: 100% ">

			  <tr>
				<td class="rss_item_title">
				  <a>
					<xsl:attribute name="href">
					  <xsl:value-of select="link"/>
					</xsl:attribute>
					<xsl:attribute name="target">__shasta_external</xsl:attribute>

					<xsl:value-of select="title"/>
				  </a>
				</td>
			  </tr>
			  <tr>
				<td class="rss_item_pubdate">
				  <xsl:value-of select="pubDate" />
				</td>
			  </tr>
			  <tr>
				<td>&#160;</td>
			  </tr>
			  <tr>
				<td class="rss_item_description" >
				  <xsl:value-of select="description"/>
				</td>
			  </tr>
			  <tr>
				<td style="height: 12px;" >&#160;</td>
			  </tr>
			</table>

		  </td>
		</tr>

	  </xsl:for-each>
	  
	  
	</table>
  </xsl:template>

</xsl:stylesheet>